Skip to main content
`Ctrl`+`K`

# VecGetSize

Returns the global number of elements of the vector.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetSize(Vec x, PetscInt *size)

Not Collective

## Input Parameter

- x - the vector

## Output Parameter

- size - the global length of the vector

## See Also

Vectors and Parallel Data, `Vec`, `VecGetLocalSize()`

## Level

beginner

## Location

src/vec/vec/interface/vector.c

## Examples

src/snes/tutorials/ex55.c
src/snes/tutorials/ex59.c
src/ksp/ksp/tutorials/ex59.c
src/snes/tutorials/ex2.c
src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex68.c
src/ksp/ksp/tutorials/ex43.c
src/ksp/ksp/tutorials/ex72.c
src/ksp/ksp/tutorials/ex73.c
src/ksp/ksp/tutorials/ex36.cxx

## Implementations

VecGetSize_MPI() in src/vec/vec/impls/mpi/pdvec.c
VecGetSize_Nest() in src/vec/vec/impls/nest/vecnest.c
VecGetSize_Seq() in src/vec/vec/impls/seq/bvec2.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages